<mat-card class="content">
  <form (ngSubmit)="filterAndSearch()" [formGroup]="form">
    <mat-form-field>
      <input formControlName="search" matInput placeholder="Recherche"/>
    </mat-form-field>
    <mat-form-field>
      <mat-select formControlName="status" placeholder="État">
        <mat-option value="">Indéfini</mat-option>
        <mat-option value="CREATED">Initialisée</mat-option>
        <mat-option value="REQUEST">Démarré</mat-option>
        <mat-option value="PAYING"><b>En paiement</b></mat-option>
        <mat-option value="PAYED"><b>Payé !</b></mat-option>
        <mat-option value="PAYMENT_FAILED"><b>Échec de paiement</b></mat-option>
        <mat-option value="FAILED">Échec</mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field>
      <input formControlName="responseCode" matInput placeholder="ResponseCode"/>
    </mat-form-field>
    <br/>
    <mat-form-field appearance="fill">
      <mat-label>Date de début</mat-label>
      <input formControlName="start_date" matInput type="date"/>
    </mat-form-field>
    &nbsp;
    <mat-form-field appearance="fill">
      <mat-label>Heure de début</mat-label>
      <input formControlName="start_time" matInput type="time"/>
    </mat-form-field>
    <br/>

    <mat-form-field appearance="outline">
      <mat-label>Date de fin</mat-label>
      <input formControlName="stop_date" matInput type="date"/>
    </mat-form-field>
    &nbsp;
    <mat-form-field appearance="outline">
      <mat-label>Heure de début</mat-label>
      <input formControlName="stop_time" matInput type="time"/>
    </mat-form-field>
    <button color="primary" mat-raised-button>Rechercher</button>
  </form>
  <p>{{transactions.length}} transactions trouvées</p>
  <table>
    <thead>
    <tr>
      <th>référence de transaction</th>
      <th>Date du paiement</th>
      <th>Status</th>
      <th>client</th>
      <th>responseCode</th>
      <th>montant</th>
      <th>adhésion</th>
      <th></th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let transaction of transactions">
      <td>{{transaction.transactionReference}}</td>
      <td>{{transaction.transactionDateTime | date:'d/M/yyyy hh:mm'}}</td>
      <td>
        <span [class.non]="transaction.status=='PAYMENT_FAILED'" [class.oui]="transaction.status=='PAYED'"
              [class.warn]="transaction.status=='PAYING'">{{transaction.status}}</span>
      </td>
      <td>{{transaction.issuer.first_name}} {{transaction.issuer.last_name}}</td>
      <td>{{transaction.responseCode}}</td>
      <td>{{transaction.amount / 100}} €</td>
      <td>{{transaction.membership.membership}}</td>
      <td>
        <a [routerLink]="'/view/'+transaction.issuer.id">Aller à l'adhérent
          #{{transaction.issuer.id}}</a>
      </td>
    </tr>
    </tbody>
  </table>
</mat-card>
